%define destdir %{_libdir}/%{name}

Name:           autopano-sift-C
Version:        2.5.1
Release:        %mkrel 15
Summary:        SIFT Feature Detection implementation
License:        GPLv2
Group:          Graphics/Utilities
Url:            https://hugin.sourceforge.net/
Source0:        https://sourceforge.net/projects/hugin/files/autopano-sift-C/autopano-sift-C-%{version}/autopano-sift-C-%{version}.tar.gz
Patch0:         autopano-sift-C-2.5.1-link.patch
Patch1:         autopano-sift-C-cmake-4.0.patch
BuildRequires:  cmake
BuildRequires:  pano13-devel
BuildRequires:  libpng-devel
BuildRequires:  libtiff-devel
BuildRequires:  libjpeg-devel
BuildRequires:  zlib-devel
BuildRequires:  libxml2-devel

%description
This package provides an implementation of the SIFT algorithm and a set of
utilities to utilize the algorithm to match two or more images. As output, a
number of control points are created, which specify one and the same image
location in two images. The output is created as project file for the hugin
panorama stitching software, which is available at
https://hugin.sourceforge.net/

This package is in tainted because the SIFT algorithm is patented.

%prep
%autosetup -p0

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%doc LICENSE README README.1ST ChangeLog
%{_mandir}/man?/*
%{_bindir}/*


%changelog
* Thu Jul 03 2025 daviddavid <daviddavid> 2.5.1-15.mga10
+ Revision: 2244592
- fix build with cmake 4.0
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Tue Dec 13 2022 ns80 <ns80> 2.5.1-14.mga9.tainted
+ Revision: 1921636
- rebuild for new libtiff

* Thu Apr 14 2022 umeabot <umeabot> 2.5.1-13.mga9.tainted
+ Revision: 1849649
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 21 2020 daviddavid <daviddavid> 2.5.1-12.mga8.tainted
+ Revision: 1548916
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 2.5.1-11.mga7.tainted
+ Revision: 1277623
- Mageia 7 Mass Rebuild

* Wed Feb 24 2016 daviddavid <daviddavid> 2.5.1-10.mga6.tainted
+ Revision: 977844
- rebuild for Mageia 6
- fix License

* Wed Oct 15 2014 umeabot <umeabot> 2.5.1-9.mga5.tainted
+ Revision: 741753
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.5.1-8.mga5.tainted
+ Revision: 678066
- Mageia 5 Mass Rebuild

* Thu Aug 28 2014 fwang <fwang> 2.5.1-7.mga5.tainted
+ Revision: 668978
- rebuild for new libpano13

* Thu Oct 31 2013 tmb <tmb> 2.5.1-6.mga4.tainted
+ Revision: 548148
- Mageia 4 rebuild

* Fri Jan 11 2013 umeabot <umeabot> 2.5.1-5.mga3.tainted
+ Revision: 346675
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ boklm <boklm>
- Update group: Graphics/Other -> Graphics/Utilities

* Fri Dec 07 2012 guillomovitch <guillomovitch> 2.5.1-4.mga3.tainted
+ Revision: 327887
- switch group to Graphics/Other, as hugin

* Sat Dec 24 2011 fwang <fwang> 2.5.1-3.mga2.tainted
+ Revision: 187124
- fix linkage
- rebuild for new libtiff

* Tue Jul 19 2011 guillomovitch <guillomovitch> 2.5.1-2.mga2.tainted
+ Revision: 126811
- no more PLF reference in description
- drop useless obsoletes tag

* Mon Jul 18 2011 guillomovitch <guillomovitch> 2.5.1-1.mga2
+ Revision: 126036
- imported package autopano-sift-C


* Mon Jul 18 2011 Guillaume Rousse <guillomovitch@mageia.org> 2.5.1-1.mga1
- import to mageia

* Sat Feb 13 2010 Guillaume Rousse <guillomovitch@zarb.org> 2.5.1-1plf
- first PLF release 
